Bug 12522 - Update request: kernel-3.12.9-1.mga4
: Update request: kernel-3.12.9-1.mga4
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 4
: All Linux
: Normal Severity: critical
: ---
Assigned To: QA Team
: Sec team
:
: MGA4-64-OK MGA4-32-OK advisory
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2014-02-02 15:22 CET by Thomas Backlund
Modified: 2014-02-08 20:34 CET (History)
7 users (show)

See Also:
Source RPM: kernel-3.12.9-1.mga4.src.rpm
CVE:


Attachments

Description Thomas Backlund 2014-02-02 15:22:21 CET
Now this is mostly for squashing the recently announced critical:

x86, x32: Correct invalid use of user timespec in the kernel (CVE-2014-0038)

I will write a better advisory tomorrow, but so you can start testing:


SRPMS:
kernel-3.12.9-1.mga4.src.rpm
kernel-userspace-headers-3.12.9-1.mga4.src.rpm
kmod-vboxadditions-4.3.6-9.mga4.src.rpm
kmod-virtualbox-4.3.6-9.mga4.src.rpm
kmod-xtables-addons-2.3-41.mga4.src.rpm

kmod-broadcom-wl-6.30.223.141-25.mga4.nonfree.src.rpm
kmod-fglrx-13.251-10.mga4.nonfree.src.rpm
kmod-nvidia173-173.14.39-11.mga4.nonfree.src.rpm
kmod-nvidia304-304.119-3.mga4.nonfree.src.rpm
kmod-nvidia-current-325.15-7.mga4.nonfree.src.rpm


i586:
cpupower-3.12.9-1.mga4.i586.rpm
cpupower-devel-3.12.9-1.mga4.i586.rpm
kernel-desktop-3.12.9-1.mga4-1-1.mga4.i586.rpm
kernel-desktop586-3.12.9-1.mga4-1-1.mga4.i586.rpm
kernel-desktop586-devel-3.12.9-1.mga4-1-1.mga4.i586.rpm
kernel-desktop586-devel-latest-3.12.9-1.mga4.i586.rpm
kernel-desktop586-latest-3.12.9-1.mga4.i586.rpm
kernel-desktop-devel-3.12.9-1.mga4-1-1.mga4.i586.rpm
kernel-desktop-devel-latest-3.12.9-1.mga4.i586.rpm
kernel-desktop-latest-3.12.9-1.mga4.i586.rpm
kernel-doc-3.12.9-1.mga4.noarch.rpm
kernel-server-3.12.9-1.mga4-1-1.mga4.i586.rpm
kernel-server-devel-3.12.9-1.mga4-1-1.mga4.i586.rpm
kernel-server-devel-latest-3.12.9-1.mga4.i586.rpm
kernel-server-latest-3.12.9-1.mga4.i586.rpm
kernel-source-3.12.9-1.mga4-1-1.mga4.noarch.rpm
kernel-source-latest-3.12.9-1.mga4.noarch.rpm
kernel-userspace-headers-3.12.9-1.mga4.i586.rpm
perf-3.12.9-1.mga4.i586.rpm

vboxadditions-kernel-3.12.9-desktop-1.mga4-4.3.6-9.mga4.i586.rpm
vboxadditions-kernel-3.12.9-desktop586-1.mga4-4.3.6-9.mga4.i586.rpm
vboxadditions-kernel-3.12.9-server-1.mga4-4.3.6-9.mga4.i586.rpm
vboxadditions-kernel-desktop586-latest-4.3.6-9.mga4.i586.rpm
vboxadditions-kernel-desktop-latest-4.3.6-9.mga4.i586.rpm
vboxadditions-kernel-server-latest-4.3.6-9.mga4.i586.rpm

virtualbox-kernel-3.12.9-desktop-1.mga4-4.3.6-9.mga4.i586.rpm
virtualbox-kernel-3.12.9-desktop586-1.mga4-4.3.6-9.mga4.i586.rpm
virtualbox-kernel-3.12.9-server-1.mga4-4.3.6-9.mga4.i586.rpm
virtualbox-kernel-desktop586-latest-4.3.6-9.mga4.i586.rpm
virtualbox-kernel-desktop-latest-4.3.6-9.mga4.i586.rpm
virtualbox-kernel-server-latest-4.3.6-9.mga4.i586.rpm

xtables-addons-kernel-3.12.9-desktop-1.mga4-2.3-41.mga4.i586.rpm
xtables-addons-kernel-3.12.9-desktop586-1.mga4-2.3-41.mga4.i586.rpm
xtables-addons-kernel-3.12.9-server-1.mga4-2.3-41.mga4.i586.rpm
xtables-addons-kernel-desktop586-latest-2.3-41.mga4.i586.rpm
xtables-addons-kernel-desktop-latest-2.3-41.mga4.i586.rpm
xtables-addons-kernel-server-latest-2.3-41.mga4.i586.rpm

broadcom-wl-kernel-3.12.9-desktop-1.mga4-6.30.223.141-25.mga4.nonfree.i586.rpm
broadcom-wl-kernel-3.12.9-desktop586-1.mga4-6.30.223.141-25.mga4.nonfree.i586.rpm
broadcom-wl-kernel-3.12.9-server-1.mga4-6.30.223.141-25.mga4.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-6.30.223.141-25.mga4.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-25.mga4.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-25.mga4.nonfree.i586.rpm

fglrx-kernel-3.12.9-desktop-1.mga4-13.251-10.mga4.nonfree.i586.rpm
fglrx-kernel-3.12.9-desktop586-1.mga4-13.251-10.mga4.nonfree.i586.rpm
fglrx-kernel-3.12.9-server-1.mga4-13.251-10.mga4.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-13.251-10.mga4.nonfree.i586.rpm
fglrx-kernel-desktop-latest-13.251-10.mga4.nonfree.i586.rpm
fglrx-kernel-server-latest-13.251-10.mga4.nonfree.i586.rpm

nvidia173-kernel-3.12.9-desktop-1.mga4-173.14.39-11.mga4.nonfree.i586.rpm
nvidia173-kernel-3.12.9-desktop586-1.mga4-173.14.39-11.mga4.nonfree.i586.rpm
nvidia173-kernel-3.12.9-server-1.mga4-173.14.39-11.mga4.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.39-11.mga4.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.39-11.mga4.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.39-11.mga4.nonfree.i586.rpm

nvidia304-kernel-3.12.9-desktop-1.mga4-304.119-3.mga4.nonfree.i586.rpm
nvidia304-kernel-3.12.9-desktop586-1.mga4-304.119-3.mga4.nonfree.i586.rpm
nvidia304-kernel-3.12.9-server-1.mga4-304.119-3.mga4.nonfree.i586.rpm
nvidia304-kernel-desktop586-latest-304.119-3.mga4.nonfree.i586.rpm
nvidia304-kernel-desktop-latest-304.119-3.mga4.nonfree.i586.rpm
nvidia304-kernel-server-latest-304.119-3.mga4.nonfree.i586.rpm

nvidia-current-kernel-3.12.9-desktop-1.mga4-325.15-7.mga4.nonfree.i586.rpm
nvidia-current-kernel-3.12.9-desktop586-1.mga4-325.15-7.mga4.nonfree.i586.rpm
nvidia-current-kernel-3.12.9-server-1.mga4-325.15-7.mga4.nonfree.i586.rpm
nvidia-current-kernel-desktop586-latest-325.15-7.mga4.nonfree.i586.rpm
nvidia-current-kernel-desktop-latest-325.15-7.mga4.nonfree.i586.rpm
nvidia-current-kernel-server-latest-325.15-7.mga4.nonfree.i586.rpm

x86_64:
cpupower-3.12.9-1.mga4.x86_64.rpm
cpupower-devel-3.12.9-1.mga4.x86_64.rpm
kernel-desktop-3.12.9-1.mga4-1-1.mga4.x86_64.rpm
kernel-desktop-devel-3.12.9-1.mga4-1-1.mga4.x86_64.rpm
kernel-desktop-devel-latest-3.12.9-1.mga4.x86_64.rpm
kernel-desktop-latest-3.12.9-1.mga4.x86_64.rpm
kernel-doc-3.12.9-1.mga4.noarch.rpm
kernel-server-3.12.9-1.mga4-1-1.mga4.x86_64.rpm
kernel-server-devel-3.12.9-1.mga4-1-1.mga4.x86_64.rpm
kernel-server-devel-latest-3.12.9-1.mga4.x86_64.rpm
kernel-server-latest-3.12.9-1.mga4.x86_64.rpm
kernel-source-3.12.9-1.mga4-1-1.mga4.noarch.rpm
kernel-source-latest-3.12.9-1.mga4.noarch.rpm
kernel-userspace-headers-3.12.9-1.mga4.x86_64.rpm
perf-3.12.9-1.mga4.x86_64.rpm

vboxadditions-kernel-3.12.9-desktop-1.mga4-4.3.6-9.mga4.x86_64.rpm
vboxadditions-kernel-3.12.9-server-1.mga4-4.3.6-9.mga4.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.3.6-9.mga4.x86_64.rpm
vboxadditions-kernel-server-latest-4.3.6-9.mga4.x86_64.rpm

virtualbox-kernel-3.12.9-desktop-1.mga4-4.3.6-9.mga4.x86_64.rpm
virtualbox-kernel-3.12.9-server-1.mga4-4.3.6-9.mga4.x86_64.rpm
virtualbox-kernel-desktop-latest-4.3.6-9.mga4.x86_64.rpm
virtualbox-kernel-server-latest-4.3.6-9.mga4.x86_64.rpm

xtables-addons-kernel-3.12.9-desktop-1.mga4-2.3-41.mga4.x86_64.rpm
xtables-addons-kernel-3.12.9-server-1.mga4-2.3-41.mga4.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.3-41.mga4.x86_64.rpm
xtables-addons-kernel-server-latest-2.3-41.mga4.x86_64.rpm

broadcom-wl-kernel-3.12.9-desktop-1.mga4-6.30.223.141-25.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-3.12.9-server-1.mga4-6.30.223.141-25.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-25.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-25.mga4.nonfree.x86_64.rpm

fglrx-kernel-3.12.9-desktop-1.mga4-13.251-10.mga4.nonfree.x86_64.rpm
fglrx-kernel-3.12.9-server-1.mga4-13.251-10.mga4.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-13.251-10.mga4.nonfree.x86_64.rpm
fglrx-kernel-server-latest-13.251-10.mga4.nonfree.x86_64.rpm

nvidia173-kernel-3.12.9-desktop-1.mga4-173.14.39-11.mga4.nonfree.x86_64.rpm
nvidia173-kernel-3.12.9-server-1.mga4-173.14.39-11.mga4.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.39-11.mga4.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.39-11.mga4.nonfree.x86_64.rpm

nvidia304-kernel-3.12.9-desktop-1.mga4-304.119-3.mga4.nonfree.x86_64.rpm
nvidia304-kernel-3.12.9-server-1.mga4-304.119-3.mga4.nonfree.x86_64.rpm
nvidia304-kernel-desktop-latest-304.119-3.mga4.nonfree.x86_64.rpm
nvidia304-kernel-server-latest-304.119-3.mga4.nonfree.x86_64.rpm

nvidia-current-kernel-3.12.9-desktop-1.mga4-325.15-7.mga4.nonfree.x86_64.rpm
nvidia-current-kernel-3.12.9-server-1.mga4-325.15-7.mga4.nonfree.x86_64.rpm
nvidia-current-kernel-desktop-latest-325.15-7.mga4.nonfree.x86_64.rpm
nvidia-current-kernel-server-latest-325.15-7.mga4.nonfree.x86_64.rpm


Reproducible: 

Steps to Reproduce:
Comment 1 Shlomi Fish 2014-02-04 10:15:31 CET
I have been running 3.12.9-desktop-1.mga4 here on my x86-64 Mageia 4/Cauldron box for quite some time, and everything seems fine:

* KDE 4 works with effects.
* The sound is fine (VLC, mplayer, Amarok).
* The videos play fine.
* VirtualBox works fine.
* LXDE works.
* perl programs work.
* urpmi / mcc / etc. are working.

I couldn't find any problem.

My computer's SPECs are:

[Quote]

My primary machine is a desktop machine with a:

    An Intel Core i3 CPU (x86-64).
    8 GB of RAM.
    Intel Corporation Sandy Bridge Integrated Graphics Controller (rev 09)
    A 2 TB hard-disk.
    A 21״ Wide LCD Screen by LG.
    Intel Corporation Cougar Point High Definition Audio Controller.
    Intel Corporation 82579V Gigabit Network Connection.

[/Quote]

Regards,

-- Shlomi Fish
Comment 2 Samuel Verschelde 2014-02-04 18:14:37 CET
No problem so far with the following packages on my recent laptop.

kernel-desktop-3.12.9-1.mga4-1-1.mga4
kernel-desktop-devel-3.12.9-1.mga4-1-1.mga4
kernel-desktop-devel-latest-3.12.9-1.mga4
kernel-desktop-latest-3.12.9-1.mga4
kernel-userspace-headers-3.12.9-1.mga4
nvidia-current-kernel-3.12.9-desktop-1.mga4-325.15-7.mga4.nonfree
vboxadditions-kernel-3.12.9-desktop-1.mga4-4.3.6-9.mga4
virtualbox-kernel-3.12.9-desktop-1.mga4-4.3.6-9.mga4
Comment 3 Rémi Verschelde 2014-02-04 20:16:22 CET
No problem so far on my x86_64 laptop (see my second entry on the QA ISO testers list for specs), with:

- cpupower-3.12.9-1.mga4.x86_64
- kernel-desktop-3.12.9-1.mga4-1-1.mga4.x86_64
- kernel-desktop-devel-3.12.9-1.mga4-1-1.mga4.x86_64
- kernel-desktop-devel-latest-3.12.9-1.mga4.x86_64
- kernel-desktop-latest-3.12.9-1.mga4.x86_64
- kernel-userspace-headers-3.12.9-1.mga4.x86_64
- nvidia-current-kernel-3.12.9-desktop-1.mga4-325.15-7.mga4.nonfree.x86_64
- nvidia-current-kernel-desktop-latest-325.15-7.mga4.nonfree.x86_64
- vboxadditions-kernel-3.12.9-desktop-1.mga4-4.3.6-9.mga4.x86_64
- vboxadditions-kernel-desktop-latest-4.3.6-9.mga4.x86_64
- virtualbox-kernel-3.12.9-desktop-1.mga4-4.3.6-9.mga4.x86_64
- virtualbox-kernel-desktop-latest-4.3.6-9.mga4.x86_64
Comment 4 Shlomi Fish 2014-02-05 11:55:46 CET
No problems so far with kernel-desktop-latest-3.12.9-1.mga4 on my x86-64 laptop, with these specs:

[Q]
 I also have an Acer Aspire 5738DZG laptop with the following specs:

    Intel Pentium(R) Dual-Core CPU T4300 @ 2.10GHz. (x86-64).
    ATI Mobility Radeon™ HD 4570 (r700)
    15.6״ 3D HD LCD Screen.
    3 GB Memory
    320 GB Hard Disk Drive.
    “DVD Super Multi DL drive”
    Acer Nplify™ 802.11b/g/n.
[/Q]

Regards,

-- Shlomi Fish
Comment 5 Marja van Waes 2014-02-06 10:54:16 CET
at first sight no problem here on an old 32bits laptop with intel video card.

installed:
     cpupower-3.12.9-1.mga4
     kernel-desktop-3.12.9-1.mga4
     kernel-desktop-latest-3.12.9-1.mga4
     kernel-userspace-headers-3.12.9-1.mga4

I could not test everything I wanted, because I couldn't install everyting wanted to test with, like vlc, because of bug 12608 ... wlan works fine.
Comment 6 Shlomi Fish 2014-02-06 11:59:22 CET
(In reply to Marja van Waes from comment #5)
> at first sight no problem here on an old 32bits laptop with intel video card.
> 

‏Thanks for testing, Marja!

Regards,

-- Shlomi Fish
Comment 7 Nicolas Lécureuil 2014-02-06 13:13:40 CET
installed kernel-desktop-latest on my mga4.

No pbs encountered for the moment.
Comment 8 claire robinson 2014-02-06 13:21:13 CET
Which architecture Nicolas please?
Comment 9 Nicolas Lécureuil 2014-02-06 13:49:21 CET
i586
Comment 10 claire robinson 2014-02-06 14:06:23 CET
When testing these main kernels, used in a default installation, it is usually necessary to remove dkms driver packages to allow the pre-built kmod packages to be used instead.

You can check which are installed on your kernels with 'dkms status'. It takes a while and spits out a long list of confusing gibberish, but lists which versions of which modules are installed on which kernels and also how. 

At the end of each line it says something like Installed or Binary installed. If it mentions 'Binary' then it is the pre-built kmod, 'Installed' on it's own is built by dkms.
Comment 11 Marja van Waes 2014-02-06 15:49:30 CET
@ Claire

So this is OK, because for the newest kernel there is only the binary one, correct?:
[root@localhost u]# dkms status
nvidia-current, 325.15-1.mga4.nonfree, 3.12.8-desktop-2.mga4, x86_64: installed 
nvidia-current, 325.15-1.mga4.nonfree, 3.12.9-desktop-1.mga4, x86_64: installed-binary from 3.12.9-desktop-1.mga4
nvidia-current, 325.15-1.mga4.nonfree, 3.12.8-desktop-2.mga4, x86_64: installed-binary from 3.12.8-desktop-2.mga4
[root@localhost u]# 

Anyway, I installed 
- cpupower-3.12.9-1.mga4.x86_64
- kernel-desktop-3.12.9-1.mga4-1-1.mga4.x86_64
- kernel-desktop-devel-3.12.9-1.mga4-1-1.mga4.x86_64
- kernel-desktop-devel-latest-3.12.9-1.mga4.x86_64
- kernel-desktop-latest-3.12.9-1.mga4.x86_64
- kernel-userspace-headers-3.12.9-1.mga4.x86_64
- nvidia-current-kernel-3.12.9-desktop-1.mga4-325.15-7.mga4.nonfree.x86_64
- nvidia-current-kernel-desktop-latest-325.15-7.mga4.nonfree.x86_64
* rebooted
Everything looked good, so now switched from Nouveau to "NVidia GeForce 8100 to GeForce 360" (which wasn't useable before)
* rebooted
Everything looked fine at first sight \o/, but rightclicking in Dolphin on a textfile to open it with Kwrite didn't work ("kwrite path/to/file" worked fine, though)
* switched back to Nouveau
* after reboot righ-clicking to open with Kwrite worked again (*if* not managing to do that while using NVidia is related to using NVidia, then I don't understand why)
With Nouveau, everything looks OK, watching a HD television stream with subtitles using VLC works perfect, too.

I don't know whether I had as many not-found services before the kernel update as now (± 12, some of which, like NetworkManager.service, I certainly don't need, but I'm not sure about e.g. the not-found messagebus.service)
Comment 12 claire robinson 2014-02-06 15:57:44 CET
(In reply to Marja van Waes from comment #11)
> @ Claire
> 
> So this is OK, because for the newest kernel there is only the binary one,
> correct?:
> [root@localhost u]# dkms status
> nvidia-current, 325.15-1.mga4.nonfree, 3.12.8-desktop-2.mga4, x86_64:
> installed 
> nvidia-current, 325.15-1.mga4.nonfree, 3.12.9-desktop-1.mga4, x86_64:
> installed-binary from 3.12.9-desktop-1.mga4
> nvidia-current, 325.15-1.mga4.nonfree, 3.12.8-desktop-2.mga4, x86_64:
> installed-binary from 3.12.8-desktop-2.mga4


That's right marja yes.

> Everything looked good, so now switched from Nouveau to "NVidia GeForce 8100
> to GeForce 360" (which wasn't useable before)
> * rebooted
> Everything looked fine at first sight \o/, but rightclicking in Dolphin on a
> textfile to open it with Kwrite didn't work ("kwrite path/to/file" worked
> fine, though)
> * switched back to Nouveau
> * after reboot righ-clicking to open with Kwrite worked again (*if* not
> managing to do that while using NVidia is related to using NVidia, then I
> don't understand why)
> With Nouveau, everything looks OK, watching a HD television stream with
> subtitles using VLC works perfect, too.

The issues with kwrite (etc) are related to the issue with upstream proprietary nvidia driver, not the hardware itself. Using the open source driver Nouveau rather than the proprietary nvidia allows things to work as they should.

The nvidia driver isn't being updated here though. The nvidia-* packages here are just kernel modules for the same driver pre-built for the matching kernel, which itself has only received a minor update for a major security fix, so this isn't expected to fix those issues at the moment.
Comment 13 David GEIGER 2014-02-06 18:35:36 CET
Testing complete mga4 x86_64,

Nothing to report, all seems work nice.

-kernel-desktop-3.12.9-1.mga4-1-1.mga4
-kernel-userspace-headers-3.12.9-1.mga4
-vboxadditions-kernel-3.12.9-desktop-1.mga4-4.3.6-9.mga4
Comment 14 David GEIGER 2014-02-06 19:21:44 CET
Testing complete mga4 i586,

Nothing to report, all seems work nice.

-vboxadditions-kernel-desktop586-latest-4.3.6-9.mga4
-kernel-desktop586-latest-3.12.9-1.mga4
-vboxadditions-kernel-3.12.9-desktop586-1.mga4-4.3.6-9.mga4
-kernel-desktop586-devel-3.12.9-1.mga4-1-1.mga4
-kernel-userspace-headers-3.12.9-1.mga4
-kernel-desktop586-devel-latest-3.12.9-1.mga4
-kernel-desktop586-3.12.9-1.mga4-1-1.mga4
-cpupower-3.12.9-1.mga
Comment 15 claire robinson 2014-02-08 18:28:04 CET
Validating. You'll need to add the advisory though when you push.

Could sysadmin please push to 4 core & nonfree updates

Thanks
Comment 16 Thomas Backlund 2014-02-08 20:34:12 CET
Update pushed:
http://advisories.mageia.org/MGASA-2014-0039.html

Note You need to log in before you can comment on or make changes to this bug.